> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available slots

> This endpoint retrieves the available slots with appointment type and dates the patient desired to be scheduled.



## OpenAPI

````yaml https://app.teamcaredental.com/openapi-ai-voice.json get /organizations/{organization_id}/available_slots
openapi: 3.1.0
info:
  title: TeamCare AI Voice API
  version: 1.0.0
  description: AI Agent APIs for appointment scheduling, patient lookup and availability.
servers:
  - url: https://app.teamcaredental.com/api/v1/ai_voice
security:
  - bearerAuth: []
paths:
  /organizations/{organization_id}/available_slots:
    get:
      tags:
        - Available Slots
      summary: List available slots
      description: >-
        This endpoint retrieves the available slots with appointment type and
        dates the patient desired to be scheduled.
      operationId: organization_available_slots_available_slots
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date
            example: '2025-07-10'
        - name: end_date
          in: query
          required: false
          schema:
            type: string
            format: date
            example: '2025-07-15'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  '2026-03-11':
                    type: array
                    items:
                      type: string
                      example: 08:30-09:30
              example:
                '2026-03-11':
                  - 08:30-09:30
                  - 09:30-10:30
                  - 10:30-11:30
                  - 11:00-12:00
                  - 12:30-13:30
                  - 13:30-14:30
                  - 14:30-15:30
        '401':
          description: Missing, invalid or expired token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: not authorized
        '403':
          description: The credential may not access this resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: access Denied
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Appointment not found
        '422':
          description: The request could not be processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: ...
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT returned by POST /auth/token. Valid for six hours.

````